org.eclipse.mat.ui.snapshot.panes.oql.textPartitioning

## Class PatchedFastPartitioner

- java.lang.Object
- - org.eclipse.jface.text.rules.FastPartitioner
  - - org.eclipse.mat.ui.snapshot.panes.oql.textPartitioning.PatchedFastPartitioner

All Implemented Interfaces:
  IDocumentPartitioner, IDocumentPartitionerExtension, IDocumentPartitionerExtension2, IDocumentPartitionerExtension3

    public class PatchedFastPartitioner
    extends FastPartitioner

Overrides the getPartition to correctly support the case in which provided offset is the position after the last character of the document as ContentAssistant asks.

### Constructor Summary

Constructors
Constructor and Description
`PatchedFastPartitioner(IPartitionTokenScanner scanner, String[] legalContentTypes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ITypedRegion` `getPartition(int offset)`

### Methods inherited from class org.eclipse.jface.text.rules.FastPartitioner

`computePartitioning, computePartitioning, connect, connect, disconnect, documentAboutToBeChanged, documentChanged, documentChanged2, getActiveRewriteSession, getContentType, getContentType, getLegalContentTypes, getManagingPositionCategories, getPartition, startRewriteSession, stopRewriteSession`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PatchedFastPartitioner

    public PatchedFastPartitioner(IPartitionTokenScanner scanner,
                                  String[] legalContentTypes)

### Method Detail

#### getPartition

    public ITypedRegion getPartition(int offset)

Specified by:
  `getPartition` in interface `IDocumentPartitioner`
Overrides:
  `getPartition` in class `FastPartitioner`